### Hierarchy

- DOMPointReadOnly
  - DOMPoint

## Index

### Properties

- DOMPointReadOnly
- w
- x
- y
- z

### Methods

- matrixTransform
- toJSON

## Properties

### DOMPointReadOnly

DOMPointReadOnly: object

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3653

#### Type declaration

- ##### constructor: function

  - new __type(x?: undefined | number, y?: undefined | number, z?: undefined | number, w?: undefined | number): DOMPointReadOnly
  - - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3654

    #### Parameters

    - ##### Optional x: undefined | number

    - ##### Optional y: undefined | number

    - ##### Optional z: undefined | number

    - ##### Optional w: undefined | number

    #### Returns DOMPointReadOnly

- ##### prototype: DOMPointReadOnly

- ##### fromPoint: function

  - fromPoint(other?: DOMPointInit): DOMPointReadOnly
  - - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3656

    #### Parameters

    - ##### Optional other: DOMPointInit

    #### Returns DOMPointReadOnly

### w

w: number

Overrides DOMPointReadOnly.w

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3629

### x

x: number

Overrides DOMPointReadOnly.x

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3630

### y

y: number

Overrides DOMPointReadOnly.y

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3631

### z

z: number

Overrides DOMPointReadOnly.z

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3632

## Methods

### matrixTransform

- matrixTransform(matrix?: DOMMatrixInit): DOMPoint

- Inherited from DOMPointReadOnly.matrixTransform

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3649

  #### Parameters

  - ##### Optional matrix: DOMMatrixInit

  #### Returns DOMPoint

### toJSON

- toJSON(): any

- Inherited from DOMPointReadOnly.toJSON

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3650

  #### Returns any

Generated using TypeDoc